Bug 865563 - Memory leak in stateless session when using CommandFactory.newBatchExecution and jBPM deps are on CP
Memory leak in stateless session when using CommandFactory.newBatchExecution ...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity urgent
: ER4
: BRMS 5.3.1 GA
Assigned To: Mario Fusco
Petr Široký
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 14:46 EDT by Petr Široký
Modified: 2013-10-10 20:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple Maven based reproducer. (9.62 KB, application/zip)
2012-10-11 14:46 EDT, Petr Široký
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3655 Major Resolved Memory leak in stateless session when using CommandFactory.newBatchExecution and jBPM deps are on CP 2014-01-23 09:27:59 EST

  None (edit)
Description Petr Široký 2012-10-11 14:46:55 EDT
Created attachment 625653 [details]
Simple Maven based reproducer.

Description of problem:
Using CommandFactory.newInsertElements() together with stateless knowledge session results in memory leak _when_ jBPM dependencies are on classpath.
Without jBPM dependencies memory leak is gone.

This issue is very similar to bug 734367. In fact one the comments in that BZ is referring exactly to this bug. Its https://bugzilla.redhat.com/show_bug.cgi?id=734367#c4

Version-Release number of selected component (if applicable):
5.3.1-ER3 and earlier.


Steps to Reproduce:
1. Download and run (mvn test) attached Maven based reproducer.
2. See the output that says how much heap memory is currently used.
  

Actual results:
Memory consumption is raising.

Expected results:
Memory should me approximately same after each loop execution.

Additional info:
Comment 2 JBoss JIRA Server 2012-10-15 11:50:52 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira JBRULES-3655 to Resolved
Comment 3 JBoss JIRA Server 2012-10-15 11:50:52 EDT
Mario Fusco <mario.fusco@gmail.com> made a comment on jira JBRULES-3655

Fixed disposing the ksession after having executed a command on the stateless session
Comment 4 Mario Fusco 2012-10-15 11:58:50 EDT
I fixed it on the master and backported on the 5.5.x and 5.4.x branches.
I am waiting for the acknowledgement to backport on the 5.3.x one too.
Comment 5 Petr Široký 2012-11-15 07:21:02 EST
Verified fixed in 5.3.1-ER4.

Note You need to log in before you can comment on or make changes to this bug.